<?php
require 'core/db/connect.php';
require 'core/func/articles.php';
require 'core/func/rating.php';
$articles = get_articles(5);
$maximum_rating = 5;
if (isset($_GET['rating']))
    if (isset($_GET['item'], $_GET['rating'])) {
        $item = $_GET['item'];
        $rating = $_GET['rating'];

        if (!empty($item) && !empty($rating) && item_exists('articles', $item) == true && ($rating >= 1 && $rating <= $maximum_rating)) {
            rate('articles', $item, $rating);
        }

        // header('Location: articles.php');
    }

if (count($articles) == 0) {
    ?>
    Sorry, no articles
    <?php
} else {
    foreach ($articles as $article) {
        ?>
        <div class="articles">
            <?php echo $article['title']; ?> (<?php echo number_format($article['rating']); ?>)
            <div class="rate">
                Rate:
                <?php
                for ($x = 1; $x <= 5; $x++) {
                    ?>
                    <a href="articles.php?item=<?php echo $article['id']; ?>&rating=<?php echo $x; ?>"><?php echo $x; ?></a>
                    <?php
                } // end-of FOR
                ?></div>
        </div>
        <?php
    } // end-of FOR-EACH
} // end-of ELSE
?>